Name:           macos-icon-theme
Version:        4.1.8
Release:        1%{?dist}
License:        GPLv2+
Summary:        MacOS Icon theme
Url:            https://www.gnome-look.org/p/1102582/
Source:         https://dl.opendesktop.org/api/files/downloadfile/id/1519002046/s/5f451ce3ce3f55a0613ef9f139f540b3/t/1523197710/u/434822/macOS.tar.xz
BuildArch:      noarch
BuildRequires:  hicolor-icon-theme
Requires(postun):	gtk-update-icon-cache
Requires(posttrans):	gtk-update-icon-cache


%description
Icon theme Based on MacBuntu icon theme.

%prep
%autosetup -n macOS



%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/icons/macOS
cp -r . %{buildroot}%{_datadir}/icons/macOS



%post
touch --no-create %{_datadir}/icons/macOS &>/dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
         touch --no-create %{_datadir}/icons/macOS &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/macOS &>/dev/null ||:
fi

%posttrans 
gtk-update-icon-cache %{_datadir}/icons/macOS &>/dev/null ||:


%files
%{_datadir}/icons/macOS


%changelog
* Sun Apr 08 2018 youcef sourani <youssef.m.sourani@gmail.com> - 4.1.8-1
- Update To v4.1.8

* Fri Nov 17 2017 yucef sourani <yousswf.m.sourani@gmail.com> - 4.1.5-1
- Update to 4.1.5


